# CMxInternalDumpLoadData Class

Namespace: `ArchestrA.Toolkit`

CMxInternalDumpLoadData class is derived from CMxCustomStruct and provides support for dump/load at Configtime.

**Syntax**

```csharp
public class CMxInternalDumpLoadData : CMxCustomStruct
```

## CMxInternalDumpLoadData Property

### StructID Property

Provides a property to indicate the struct ID for CMxInternalDumpLoadData.

**Syntax**

```csharp
public const int structId = 369875326;
```

**Returns**

int

## CMxInternalDumpLoadData Constructors

### CMxInternalDumpLoadData Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxInternalDumpLoadData();
```

### CMxInternalDumpLoadData Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxInternalDumpLoadData(SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.
